public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/audacious/
Date: Thu, 16 Apr 2020 19:54:51 +0000 (UTC)	[thread overview]
Message-ID: <1587066879.aff50e977a289dcb968d9269d38742edc7726dd3.asturm@gentoo> (raw)

commit:     aff50e977a289dcb968d9269d38742edc7726dd3
Author:     Etienne d'Hautefeuille <bdouxx-git <AT> yahoo <DOT> fr>
AuthorDate: Thu Apr 16 19:31:31 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Apr 16 19:54:39 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aff50e97

media-sound/audacious: 4.0.2 version bump

Thanks-to: Etienne d'Hautefeuille <bdouxx-git <AT> yahoo.fr>
Closes: https://github.com/gentoo/gentoo/pull/15373
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-sound/audacious/Manifest               |  1 +
 media-sound/audacious/audacious-4.0.2.ebuild | 81 ++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/media-sound/audacious/Manifest b/media-sound/audacious/Manifest
index aa671cd5981..ffff1fdb5f5 100644
--- a/media-sound/audacious/Manifest
+++ b/media-sound/audacious/Manifest
@@ -1,3 +1,4 @@
 DIST audacious-3.10.1.tar.bz2 564481 BLAKE2B d1f76f34f0f6fbbe5ba92a95015fa0f3ef6399cc05f69f58474523761b00a4de7b8471660d9cb640487110cc3998df59f21108ff0b4ea72014ad75cd32ad864b SHA512 e88891caaa3897f9b4abf39136e20834aedf1287d0d5eefea392fda89050db8db00c6f363976a68fe250ddbae4e27590f7615916a76370a44ca9235f1fa60b43
+DIST audacious-4.0.2.tar.bz2 576407 BLAKE2B 001d185db59e38f686c78964b759f851481bc4c7fcddb521fde9bd985095fa32bacb6f1bcea167a91616af4fca412d75cf63dfe0cd3b19ee396e36e211b1a94e SHA512 3f541000c874f2d026f2a4c23f1f98486aae9450c6dc8d7597f742b21d701883b31bbc5620bf23408ce0da397fdf414dffe37a778eb70df5a553a854f2435b99
 DIST audacious-4.0.tar.bz2 579176 BLAKE2B 62127d9dcc666e0834c71d5004863fe7c2f7a5835a3549aa88decd6e74d6714e70f59343c3a8b5a73bfe43064bf47f8b2d15d964c4957ad70ed17f65a90c0ccb SHA512 82a44270a4dad39098f7055d540a44e6e0e9826a3f140d7feb537518e42a8d391357c1adbcc62d118b0a82e79c88729e74748f8b41b9d8e4ff40ffc5d96ec759
 DIST gentoo_ice-xmms-0.2.tar.bz2 51839 BLAKE2B d3bf8dbfee675dd588bc0258f1015c76877b6b0a3835813d8e9621d149b924aaa33544d07f7ad44a01c058d41d7480b3908b0773c124af33b6e020c376b13d54 SHA512 e863a8f86073007c47ce8c20739aae4bff22e22a7ddc11556b12ae6ebb68654cec7310fdc9d05f2c47f81cf2591fe601b2eb12a2fd911c0a6118c9f3cc524f05

diff --git a/media-sound/audacious/audacious-4.0.2.ebuild b/media-sound/audacious/audacious-4.0.2.ebuild
new file mode 100644
index 00000000000..13924b39fcb
--- /dev/null
+++ b/media-sound/audacious/audacious-4.0.2.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_P="${P/_/-}"
+
+if [[ ${PV} == *9999 ]]; then
+	inherit autotools git-r3
+	EGIT_REPO_URI="https://github.com/audacious-media-player/audacious.git"
+else
+	SRC_URI="https://distfiles.audacious-media-player.org/${MY_P}.tar.bz2"
+	KEYWORDS="~amd64 ~x86"
+fi
+inherit xdg
+
+DESCRIPTION="Lightweight and versatile audio player"
+HOMEPAGE="https://audacious-media-player.org/"
+SRC_URI+=" mirror://gentoo/gentoo_ice-xmms-0.2.tar.bz2"
+
+LICENSE="BSD-2"
+SLOT="0"
+IUSE="nls"
+
+BDEPEND="
+	virtual/pkgconfig
+	nls? ( dev-util/intltool )
+"
+DEPEND="
+	>=dev-libs/dbus-glib-0.60
+	>=dev-libs/glib-2.28
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtwidgets:5
+	>=x11-libs/cairo-1.2.6
+	>=x11-libs/pango-1.8.0
+	virtual/freedesktop-icon-theme
+"
+RDEPEND="${DEPEND}"
+PDEPEND="~media-plugins/audacious-plugins-${PV}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_unpack() {
+	default
+	[[ ${PV} == *9999 ]] && git-r3_src_unpack
+}
+
+src_prepare() {
+	default
+	if ! use nls; then
+		sed -e "/SUBDIRS/s/ po//" -i Makefile || die # bug #512698
+	fi
+	[[ ${PV} == *9999 ]] && eautoreconf
+}
+
+src_configure() {
+	# D-Bus is a mandatory dependency, remote control,
+	# session management and some plugins depend on this.
+	# Building without D-Bus is *unsupported* and a USE-flag
+	# will not be added due to the bug reports that will result.
+	# Bugs #197894, #199069, #207330, #208606
+	local myeconfargs=(
+		--disable-valgrind
+		--disable-gtk
+		--enable-dbus
+		--enable-qt
+		$(use_enable nls)
+	)
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	default
+
+	# Gentoo_ice skin installation; bug #109772
+	insinto /usr/share/audacious/Skins/gentoo_ice
+	doins -r "${WORKDIR}"/gentoo_ice/.
+	docinto gentoo_ice
+	dodoc "${WORKDIR}"/README
+}


             reply	other threads:[~2020-04-16 19:54 UTC|newest]

Thread overview: 76+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-04-16 19:54 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-07 13:55 [gentoo-commits] repo/gentoo:master commit in: media-sound/audacious/ Miroslav Šulc
2024-12-06 10:11 Sam James
2024-12-06 10:04 Sam James
2024-11-04  9:13 Miroslav Šulc
2024-10-01 21:01 Matt Turner
2023-06-01  7:01 Miroslav Šulc
2023-05-31 12:42 Arthur Zamarin
2023-05-31 12:42 Arthur Zamarin
2023-05-10  5:21 Miroslav Šulc
2023-05-09  5:52 Arthur Zamarin
2023-05-08 12:35 Sam James
2023-04-30  7:16 Miroslav Šulc
2023-04-07  8:12 Miroslav Šulc
2022-08-13  4:13 Miroslav Šulc
2022-08-12 10:33 Agostino Sarubbo
2022-08-12 10:17 Agostino Sarubbo
2022-07-11  4:22 Miroslav Šulc
2021-12-22 12:59 Agostino Sarubbo
2021-12-22 11:25 Jakov Smolić
2021-12-01 21:27 Sam James
2021-12-01 21:27 Sam James
2021-11-21 12:59 Joonas Niilola
2021-11-21 12:59 Joonas Niilola
2021-11-21 12:59 Joonas Niilola
2021-11-21 12:59 Joonas Niilola
2021-09-23  5:41 Yixun Lan
2020-07-28 14:25 Andreas Sturmlechner
2020-07-28 14:11 Sam James
2020-07-27 13:54 Sam James
2020-07-15 16:28 Andreas Sturmlechner
2020-06-02 11:27 Andreas Sturmlechner
2020-06-02 11:27 Andreas Sturmlechner
2020-05-28 18:56 Andreas Sturmlechner
2020-05-28 18:56 Andreas Sturmlechner
2020-05-28 15:45 Agostino Sarubbo
2020-05-28 15:37 Agostino Sarubbo
2020-04-30 20:03 Andreas Sturmlechner
2020-04-30 20:03 Andreas Sturmlechner
2020-04-16 19:54 Andreas Sturmlechner
2020-03-24 23:03 Andreas Sturmlechner
2020-03-21 22:40 Andreas Sturmlechner
2020-03-21 22:40 Andreas Sturmlechner
2020-01-25 17:38 David Seifert
2020-01-25 15:40 David Seifert
2019-11-15  0:36 Andreas Sturmlechner
2019-11-15  0:36 Andreas Sturmlechner
2019-11-12 10:45 Agostino Sarubbo
2019-02-14 23:06 Andreas Sturmlechner
2018-12-13  0:32 Andreas Sturmlechner
2018-12-13  0:32 Andreas Sturmlechner
2018-11-24 23:44 Andreas Sturmlechner
2018-11-24 23:18 Andreas Sturmlechner
2018-11-24 23:18 Andreas Sturmlechner
2018-11-24 23:18 Andreas Sturmlechner
2018-11-24 23:18 Andreas Sturmlechner
2018-11-23 21:33 Andreas Sturmlechner
2018-11-19 22:53 Andreas Sturmlechner
2018-11-19 21:52 Andreas Sturmlechner
2018-02-08 19:15 Andreas Sturmlechner
2017-12-24 22:01 David Seifert
2017-11-07  6:40 David Seifert
2017-11-06  7:10 David Seifert
2017-11-05 17:50 Andreas Hüttel
2017-11-05 13:17 David Seifert
2017-11-05 11:49 David Seifert
2017-08-13 11:11 David Seifert
2017-05-13 11:49 Jeroen Roovers
2016-03-27  1:26 Robin H. Johnson
2015-12-24 21:42 Manuel Rüger
2015-11-13  9:48 Agostino Sarubbo
2015-11-12 10:37 Agostino Sarubbo
2015-09-29 13:38 Tobias Klausmann
2015-09-29 13:35 Tobias Klausmann
2015-09-24 11:02 Agostino Sarubbo
2015-09-24 11:01 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1587066879.aff50e977a289dcb968d9269d38742edc7726dd3.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox